Internet Explorer (document.all) Compatibility

VERIFIED DUPLICATE of bug 74201

Status

()

Core
DOM
--
enhancement
VERIFIED DUPLICATE of bug 74201
17 years ago
5 years ago

People

(Reporter: Bryant Howell, Assigned: jst)

Tracking

Trunk
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

17 years ago
If we wanted to beat Microsoft at their own game, why not slip in compatibility
with some of their features, like document.all. Would it be possible that when
document.all is located and no branches for Mozilla are available in the
Javascript, that document.all function as document.getElementById(). This would
solve compatibility with the old Internet Explorer versions. Maybe this goes
against the spirit of the browser but I think it would be great after 1.0 to
support all the old stuff to say not only are we the most compatible with the
W3C , but we also match the competition.

Comment 1

17 years ago

*** This bug has been marked as a duplicate of 74201 ***
Status: UNCONFIRMED → RESOLVED
Last Resolved: 17 years ago
Resolution: --- → DUPLICATE

Comment 2

17 years ago
verified exact duplicate.
Status: RESOLVED → VERIFIED

Updated

15 years ago
QA Contact: lchiang → ian
Component: DOM: Mozilla Extensions → DOM
Product: Core → Core
You need to log in before you can comment on or make changes to this bug.